VST 3 SDK: DataExchangeReceiverHandler Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
DataExchangeReceiverHandler Class Reference

Helper class to provide a single API for plug-ins to transfer data from the realtime audio process to the edit controller either via the message handling protocol (see IMessage) or the new IDataExchangeHandler/IDataExchangeReceiver API. More...

`#include <dataexchange.h>`

## Public Member Functions
| DataExchangeReceiverHandler (IDataExchangeReceiver *receiver)
| ~DataExchangeReceiverHandler () noexcept
bool | onMessage (IMessage *msg)
| call this for every message you receive via IConnectionPoint::notify

## Detailed Description

Helper class to provide a single API for plug-ins to transfer data from the realtime audio process to the edit controller either via the message handling protocol (see IMessage) or the new IDataExchangeHandler/IDataExchangeReceiver API.

This is the other side of the DataExchangeHandler on the edit controller side. Make this a member of your edit controller and call onMessage for every IMessage you get via IConnectionPoint::notify. Your edit controller must implement the IDataExchangeReceiver interface.

## Constructor & Destructor Documentation

DataExchangeReceiverHandler | ( | IDataExchangeReceiver * | receiver | ) |

~DataExchangeReceiverHandler | ( |  | ) |
| defaultnoexcept

## Member Function Documentation

bool onMessage | ( | IMessage * | msg | ) |

call this for every message you receive via IConnectionPoint::notify

Returns
  true if the message was handled

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.